Subject: Locking problems

From: Karl MacMillan <[email-masked]>
Date: Fri, 18 Aug 2000 11:20:13 -0400 (EDT)

I am having some problems with the locking in /tmp.  Some background - I
just upgraded from a solaris 7 box with pine 3.94 to a redhat 6.2 box with
pine 4.21 (from the redhat package).  The problem is that a lot of users
(but not all) are getting the error 'Trying to get mailbox lock from
process xxxx' - which eventually fails and the inbox is opened read-only.  
Further investigation shows that these users are all trying to grab the
mailbox lock /tmp/.902.0 - which they can't because it is owned by another
user which makes the default lock overriding fail.  As these locks are
supposed to be based on inode numbers I am not certain how this problem
could come about (/var/spool/mail is a software raid5 partition in case
this matters).  Any help would be greatly appreciated.

Thanks,

Karl

-- 
_____________________________________________________
| Karl W. MacMillan                                 |
| Peabody Institute of the Johns Hopkins University |
| Network and Telecommunications Services           |
| [email-masked]                           |
| 410/659-8297                                      |
-----------------------------------------------------

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------